Mavis Beacon 9 - OK with Intel iMac? (Full Version)

All Forums >> [Product Forums] >> [Productivity Software] >> [Mavis Beacon Teaches...] >> General Functionality (Older Versions)



Message


bluecabochon -> Mavis Beacon 9 - OK with Intel iMac? (7/13/2007 10:48:17 AM)

I have upgraded to an Intel iMac and am wondering if there is a patch available for Mavis Beacon Teaches Typing 9? I used 9 on my old G3. I'm using OS X 10.4.8.

I suspect not but just want to make sure....thanks in advance!




Brandy redux -> RE: Mavis Beacon 9 - OK with Intel iMac? (7/13/2007 12:59:28 PM)

Hi bluecabochon,

I'd have to say that, unfortunately, the answer to your question would have to be NO, there is no patch for Mavis Beacon Teaches Typing 9.

So, your only option would probably be to purchase a newer version of Mavis Beacon.

The MAC System Requirements for the latest version of Mavis Beacon, which is version 17, are:

* Mac OS 9.2, Mac OS® 10.2.2 and higher
* PowerPC G3 333 MHz processor or faster
* 64 MB RAM for OS 9.2
* 128 MB RAM for OS® 10.2.2-10.3.9
* 256 MB RAM for OS® 10.4.x
* 360 MB free hard disk space, 550 MB for full install
* 16x CD-ROM drive
* 16 bit color, 800 x 600 resolution




bluecabochon -> RE: Mavis Beacon 9 - OK with Intel iMac? (7/19/2007 4:44:08 PM)

Thanks, Brandy. I might be able to use it according to those specs, though.




Page: [1]

Valid CSS!




Forum Software © ASPPlayground.NET Advanced Edition 2.4
1.171875E-02